version: "3.9"
# NexaCore AI VPS — Open WebUI Template
services:
  openwebui:
    image: ghcr.io/open-webui/open-webui:main
    container_name: nexacore-openwebui
    restart: unless-stopped
    ports:
      - "127.0.0.1:3000:8080"
    env_file: .env
    volumes:
      - data:/app/backend/data
    extra_hosts:
      - "host.docker.internal:host-gateway"
    labels:
      - "com.nexacore.template=openwebui"
      - "com.nexacore.version=1.0.0"

volumes:
  data:
    driver: local
    driver_opts:
      type: none
      o: bind
      device: /opt/nexacore/data/openwebui
